import { Component, EventEmitter, Input, Output } from '@angular/core';
import { ButtonType } from '../button/buttonType.enum';

@Component({
  selector: 'app-join-modal-confirmation',
  templateUrl: './modal-join-confirmation.component.html',
  styleUrls: ['./modal-join-confirmation.component.scss'],
})
export class ModalJoinConfirmationComponent {
  @Input() public openned: boolean;
  @Input() public title: string;
  @Input() public primaryContent: string;
  @Input() public secondaryContent?: string;
  @Input() public customConfirmationText?: string;
  @Output() closed = new EventEmitter<boolean>();
  public buttonTypeEnum = ButtonType;

  public closeModal(value: boolean): void {
    this.closed.emit(value);
  }
}
